### robocode

# Class Robocode

- `java.lang.Object`
- - `robocode.Robocode`

`public class Robocode`
`extends Object`

Robocode - A programming game involving battling AI tanks.
Copyright (c) 2001, 2008 Mathew A. Nelson and Robocode contributors

Authors:
  Mathew A. Nelson (original)
  Flemming N. Larsen (contributor)
  Pavel Savara (contributor)

See Also:
  `robocode.sourceforge.net`

  ## Method Summary

  `static void`

  `main(String[] args)`
    Use the command-line to start Robocode.

## Method Details

### main

    public static void main(String[] args)

> Use the command-line to start Robocode. The command is:

>         java -Xmx512M -Dsun.io.useCanonCaches=false -jar libs/robocode.jar

> Parameters:
>   `args` - an array of command-line arguments